OTS-IDEMPOTENT(1)

NAME
ots-idempotent - font transcoder

SYNOPSIS
ots-idempotent FONT_FILE

DESCRIPTION

ots-idempotent is a program which validates and transcodes a font file using OTS. This tool transcodes the original font twice and then verifies that the two transcoded fonts are identical:

    t1 = ValidateAndTranscode(original_font);
    if (validation_error)
      PrintErrorAndExit;
    t2 = ValidateAndTranscode(t1);
    if (validation_error)
      PrintErrorAndExit;
    if (t1 != t2)
      PrintErrorAndExit;

This tool is basically for OTS developers.

EXAMPLES
    $ ./ots-idempotent sample.otf
    $ ./ots-idempotent malformed.ttf
    WARNING: bad range shift
    ERROR at src/ots.cc:670 (ProcessGeneric)
    Failed to sanitize file!

REPORTING BUGS
Report bugs to <https://github.com/khaledhosny/ots/issues>

SEE ALSO
ots-perf(1), ots-sanitize(1), ots-side-by-side(1), ots-validator-checker(1)